Subject: [bug#73288] Request for merging "mesa-updates" branch

From: Efraim Flashner <[email-masked]>
Date: Mon, 23 Sep 2024 08:34:43 +0300

On Mon, Sep 16, 2024 at 02:38:16AM +0000, John Kehayias via Guix-patches via wrote:
> Hello Guix,
> 
> The mesa-updates branch I think is just almost ready for merging. Besides some other fixes and updates, the main series is tracked at <https://issues.guix.gnu.org/73071>. There is an update to add NVK support to mesa for x86_64-linux which I need to review and push (and rebase to get more fixes from master).
> 
> Coverage looks good for x86_64 and i686 on QA, with powerpc64le as well on Berlin. I worry that aarch64 and others may have stalled out on Bordeaux. Perhaps Efraim can chime in there.
> 
> With an update for NVK for x86_64, that will take maybe a day to catch up again in builds but tends to be pretty quick. I'm not aware of other blockers.
> 

I built out to gtk+@3 and gtk on aarch64 without any problems, and I
also built mesa on riscv64 and armhf without any problems.

I haven't tested running any programs on those architectures.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted